/*------------------------------
 ## style from style.css (2024)
-------------------------------*/
span.wpcf7-list-item.first {
    margin: 0;
}

[data-whatinput="mouse"] input[type="submit"] {outline: 0;}

input[type="email"],
input[type="file"],
input[type="text"],
input[type="tel"],
input[type="date"],
textarea {
    display: block;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    width: 100%;
    height: 2.55rem;
    margin: 0;
    padding: 0.66667rem 1.11111rem;
    border: 2px solid rgba(49, 49, 49, 0.6);
    border-radius: 4px;
    background-color: transparent;
    -webkit-box-shadow: none;
    box-shadow: none;
    font-family: inherit;
    font-size: 1.11111rem;
    font-weight: 400;
    line-height: 1.6;
    color: #222;
    -webkit-transition: border-color 0.25s ease-in-out, -webkit-box-shadow 0.5s;
    transition: border-color 0.25s ease-in-out, -webkit-box-shadow 0.5s;
    transition: box-shadow 0.5s, border-color 0.25s ease-in-out;
    transition: box-shadow 0.5s, border-color 0.25s ease-in-out, -webkit-box-shadow 0.5s;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

textarea {
    min-height: 9.44444rem;
    resize: vertical;
    overflow-x: hidden;
    overflow-y: auto;
}

/* @See https://developer.mozilla.org/en-US/docs/Web/CSS/:focus-visible#accessibility_concerns */
input[type="email"]:focus,
input[type="file"]:focus,
input[type="text"]:focus,
input[type="tel"]:focus,
textarea:focus,
input[type="email"]::focus-visible,
input[type="file"]::focus-visible,
input[type="text"]::focus-visible,
input[type="tel"]::focus-visible,
textarea::focus-visible {
    outline: none !important;
	-webkit-box-shadow: none;
    box-shadow: none;
    border-color: #93d522;
    background-color: transparent;
}

input[type="email"].wpcf7-not-valid,
input[type="email"].wpcf7-not-valid:active,
input[type="email"].wpcf7-not-valid:focus,
input[type="email"].wpcf7-not-valid:hover,
input[type="file"].wpcf7-not-valid,
input[type="file"].wpcf7-not-valid:active,
input[type="file"].wpcf7-not-valid:focus,
input[type="file"].wpcf7-not-valid:hover,
input[type="text"].wpcf7-not-valid,
input[type="text"].wpcf7-not-valid:active,
input[type="text"].wpcf7-not-valid:focus,
input[type="text"].wpcf7-not-valid:hover,
input[type="tel"].wpcf7-not-valid:active,
input[type="tel"].wpcf7-not-valid:focus,
input[type="tel"].wpcf7-not-valid:hover,
textarea.wpcf7-not-valid,
textarea.wpcf7-not-valid:active,
textarea.wpcf7-not-valid:focus,
textarea.wpcf7-not-valid:hover {
    border-color: #d52b1e;
    border-bottom-right-radius: 0;
}

span.wpcf7-not-valid-tip {
    font-size: 0.83333rem;
    float: right;
    background-color: #d52b1e;
    color: #fff;
    padding: 0.22222rem 0.55556rem;
    cursor: pointer;
    border-bottom-right-radius: 4px;
    border-bottom-left-radius: 4px;
}

.wpcf7-checkbox + span.wpcf7-not-valid-tip {
    float: left;
    border-radius: 4px;
}

/*CF7 specific styles*/
form.wpcf7-form {
	width:100%;
	background-color: rgba(237, 237, 237, 1);
	padding: 1.5rem 3rem;
	text-align:center;
}

form.wpcf7-form .wpcf7-spinner {
	position: absolute;
}

form.wpcf7-form div.input-field {padding: 0 12px;}

form.wpcf7-form input.wpcf7-text,
form.wpcf7-form textarea.wpcf7-textarea {
	display: block;
	margin: 6px 0 6px 0;
	width:100%;
	border-width:0 0 1px 0;
	background: rgba(0,0,0,0.15);
	line-height:14pt;
	font-size:1rem;
	color:#222222;
	text-shadow:0 0 5px rgba(255,255,255,0.4);
	transition:all 0.5s;
}

form.wpcf7-form h1 {
	margin-bottom: 25px;
	color: #222222;
	text-shadow:0 0 5px rgba(0,0,0,0.5);
}

form.wpcf7-form input:not(:focus):hover,
form.wpcf7-form textarea:not(:focus):hover {
	/* background:rgba(255,255,255,0.08); */
	cursor:pointer;
}

form.wpcf7-form input:focus,
form.wpcf7-form textarea:focus {
	padding:15px;
	background:rgba(255,255,255,0.2);
}

form.wpcf7-form textarea.wpcf7-textarea {height:140px;}

input[type="submit"],
form.wpcf7-form input.wpcf7-submit {
  display: block;
  position: relative;
  background: var(--ctas-color);
  background-image: linear-gradient(to right, var(--ctas-color) 0%, var(--ctas-lighter-color) 65%, var(--ctas-color) 100%);
  background-size: 200% auto;
  border: none;
  color: var(--light-txt-color) !important;
  font-size: 1.25rem;
  letter-spacing: 1.5px;
  font-weight: 600;
  width: max-content;
  max-width: 275px;
  margin: 12px auto;
  padding: 12px 18px;
  text-align: center;
  text-shadow: none;
  transition: 400ms ease-in-out all;
  border-radius: 6px;
}

input[type="submit"],
form.wpcf7-form input.wpcf7-submit:hover {
  background-position: right center;
}

/* RGPD field */
.rgpd-acceptance .wpcf7-list-item label {text-align: left;}
.rgpd-acceptance .wpcf7-list-item label input.rgpd {width: auto;margin-right: 5%;}
.wpcf7-form-control.g-recaptcha.wpcf7-recaptcha {opacity: .75;}

/*Material style (conditional fields embed)*/
form.wpcf7-form .top-full-line {
	padding-bottom: 24px !important;
}

form.wpcf7-form .contact-panel-header {
	width: 100%;
	height: auto;
	min-height: 60px;
  padding: 12px 0;
	background: var(--alt-featured-color);
}

form.wpcf7-form .panel-main {
	padding : 24px 0px;
	margin: 0;
}

form.wpcf7-form .contact-panel-header h3 {
	color: #fff;
	font-size: 1.5rem;
	text-transform: initial;
	text-align: center;
	margin: auto;
}

form.wpcf7-form .panel-footer {
	padding: 8px 0 0 0;
	background: #e1e1e1;
	height: 100%;
}
form.wpcf7-form .panel-footer .legal-validation {width: 95%; margin: 0 auto;}

input[type="submit"],
form.wpcf7-form .panel-footer input[type="submit"] {margin-top: 1rem;}

@media all and (max-width: 1280px) {

}

@media all and (max-width: 980px) {

}

@media all and (max-width: 768px) {

}

@media all and (max-width: 576px) {
	form.wpcf7-form {max-width: 95%; padding: 0;}
	form.wpcf7-form .panel-footer .legal-validation {width: 100%; margin: 0 auto;}
	.rgpd-acceptance .wpcf7-list-item label {display:block;}
	form.wpcf7-form .panel-footer input[type="submit"] {margin-top: 1.25rem;}
}

/*------------------------------------------
  Material Forms - to merge with style.css
--------------------------------------------*/
.input-field:not(.acceptance) > label {
  color: #161616;
  position: absolute;
  top: -36px;
  left: 12px;
  font-size: 1.25rem;
  cursor: text;
  -webkit-transition: color 0.2s ease-out, -webkit-transform 0.2s ease-out, top 0.2s ease-out;
  transition: color 0.2s ease-out, -webkit-transform 0.2s ease-out, top 0.2s ease-out;
  transition: transform 0.2s ease-out, color 0.2s ease-out;
  transition: transform 0.2s ease-out, color 0.2s ease-out, -webkit-transform 0.2s ease-out;
  -webkit-transform-origin: 0% 100%;
  transform-origin: 0% 100%;
  text-align: initial;
  -webkit-transform: translateY(12px);
  transform: translateY(12px);
}

/*--------------------
	Radio Buttons
----------------------*/
[type=radio]:not(:checked),
[type=radio]:checked {
  position: absolute;
  opacity: 0;
  pointer-events: none;
}

[type=radio]:not(:checked) + span,
[type=radio]:checked + span {
  position: relative;
  padding-left: 35px;
  cursor: pointer;
  display: inline-block;
  height: 25px;
  line-height: 25px;
  font-size: 1rem;
  -webkit-transition: 0.28s ease;
  transition: 0.28s ease;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

[type=radio] + span:before,
[type=radio] + span:after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  margin: 4px;
  width: 16px;
  height: 16px;
  z-index: 0;
  -webkit-transition: 0.28s ease;
  transition: 0.28s ease;
}

/* Unchecked styles */
[type=radio]:not(:checked) + span:before,
[type=radio]:not(:checked) + span:after,
[type=radio]:checked + span:before,
[type=radio]:checked + span:after,
[type=radio].with-gap:checked + span:before,
[type=radio].with-gap:checked + span:after {
  border-radius: 50%;
}

[type=radio]:not(:checked) + span:before,
[type=radio]:not(:checked) + span:after {
  border: 2px solid #5a5a5a;
}

[type=radio]:not(:checked) + span:after {
  -webkit-transform: scale(0);
  transform: scale(0);
}

/* Checked styles */
[type=radio]:checked + span:before {
  border: 2px solid transparent;
}

[type=radio]:checked + span:after {
  border: 2px solid #bd8a78;
}

[type=radio]:checked + span:after {
  background-color: #bd8a78;
}

[type=radio]:checked + span:after {
  -webkit-transform: scale(1.02);
  transform: scale(1.02);
}

/*--------------------
	Checkboxes
----------------------*/
/* Remove default checkbox */
[type=checkbox]:not(:checked):not(.woocommerce-form__input-checkbox),
[type=checkbox]:checked:not(.woocommerce-form__input-checkbox) {
  position: absolute;
  opacity: 0;
  pointer-events: none;
}

[type=checkbox] {
  /* checkbox aspect */
}

[type=checkbox] + span.wpcf7-list-item-label {
  position: relative;
  padding-left: 28px;
  cursor: pointer;
  display: inline-block;
  height: 25px;
  line-height: 25px;
  font-size: 1rem;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
[type=checkbox] + span.wpcf7-list-item-label > a {
	color: var(--featured-color);
	transition: 400ms all ease-in-out;
}
[type=checkbox] + span.wpcf7-list-item-label > a:hover {
	color: var(--alt-featured-color);
}

[type=checkbox] + span.wpcf7-list-item-label:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 18px;
  height: 18px;
  z-index: 0;
  border: 2px solid #5a5a5a;
  border-radius: 1px;
  margin-top: 3px;
  -webkit-transition: 0.2s;
  transition: 0.2s;
}

[type=checkbox]:not(:checked):disabled + span.wpcf7-list-item-label:before {
  border: none;
  background-color: rgba(0, 0, 0, 0.42);
}

[type=checkbox]:checked + span.wpcf7-list-item-label:before {
  top: -4px;
  left: -5px;
  width: 12px;
  height: 22px;
  border-top: 2px solid transparent;
  border-left: 2px solid transparent;
  border-right: 2px solid var(--cf-submit-color);
  border-bottom: 2px solid var(--cf-submit-color);
  -webkit-transform: rotate(40deg);
  transform: rotate(40deg);
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform-origin: 100% 100%;
  transform-origin: 100% 100%;
}

[type=checkbox]:checked:disabled + span.wpcf7-list-item-label:before {
  border-right: 2px solid rgba(0, 0, 0, 0.42);
  border-bottom: 2px solid rgba(0, 0, 0, 0.42);
}

[type=checkbox].filled-in + span.wpcf7-list-item-label:after {
  border-radius: 2px;
}

[type=checkbox].filled-in + span.wpcf7-list-item-label:before,
[type=checkbox].filled-in + span.wpcf7-list-item-label:after {
  content: "";
  left: 0;
  position: absolute;
  /* .1s delay is for check animation */
  -webkit-transition: border 0.25s, background-color 0.25s, width 0.2s 0.1s, height 0.2s 0.1s, top 0.2s 0.1s, left 0.2s 0.1s;
  transition: border 0.25s, background-color 0.25s, width 0.2s 0.1s, height 0.2s 0.1s, top 0.2s 0.1s, left 0.2s 0.1s;
  z-index: 1;
}

[type=checkbox].filled-in:not(:checked) + span.wpcf7-list-item-label:before {
  width: 0;
  height: 0;
  border: 3px solid transparent;
  left: 6px;
  top: 10px;
  -webkit-transform: rotateZ(37deg);
  transform: rotateZ(37deg);
  -webkit-transform-origin: 100% 100%;
  transform-origin: 100% 100%;
}

[type=checkbox].filled-in:not(:checked) + span.wpcf7-list-item-label:after {
  height: 20px;
  width: 20px;
  background-color: transparent;
  border: 2px solid #5a5a5a;
  top: 0px;
  z-index: 0;
}

[type=checkbox].filled-in:checked + span.wpcf7-list-item-label:before {
  top: 0;
  left: 1px;
  width: 8px;
  height: 13px;
  border-top: 2px solid transparent;
  border-left: 2px solid transparent;
  border-right: 2px solid #fff;
  border-bottom: 2px solid #fff;
  -webkit-transform: rotateZ(37deg);
  transform: rotateZ(37deg);
  -webkit-transform-origin: 100% 100%;
  transform-origin: 100% 100%;
}

[type=checkbox].filled-in:checked + span.wpcf7-list-item-label:after {
  top: 0;
  width: 20px;
  height: 20px;
  border: 2px solid var(--cf-submit-color);
  background-color: var(--cf-submit-color);
  z-index: 0;
}

[type=checkbox].filled-in:disabled:not(:checked) + span.wpcf7-list-item-label:before {
  background-color: transparent;
  border: 2px solid transparent;
}

[type=checkbox].filled-in:disabled:not(:checked) + span.wpcf7-list-item-label:after {
  border-color: transparent;
  background-color: #949494;
}

[type=checkbox].filled-in:disabled:checked + span.wpcf7-list-item-label:before {
  background-color: transparent;
}

[type=checkbox].filled-in:disabled:checked + span.wpcf7-list-item-label:after {
  background-color: #949494;
  border-color: #949494;
}

/*-----------------------
Select Field & Dropdown
-------------------------*/
select:not(.asp_nochosen) {
  display: none;
}

select.browser-default {
  display: block;
}

select {
  background-color: rgba(255, 255, 255, 0.9);
  width: 100%;
  padding: 5px;
  border: 1px solid #f2f2f2;
  border-radius: 2px;
  height: 2.5rem;
}

.select-label {
  position: absolute;
}

.select-wrapper {
  position: relative;
}

.select-wrapper.valid + label,
.select-wrapper.invalid + label {
  width: 100%;
  pointer-events: none;
}

.select-wrapper input.select-dropdown {
  position: relative;
  cursor: pointer;
  background-color: transparent;
  border: none;
  border-bottom: 1px solid #9e9e9e;
  /* color: #bd8a78; */
  outline: none;
  height: 3rem;
  line-height: 3rem;
  width: 100%;
  font-size: 16px;
  margin: 0 0 8px 0;
  padding: 0;
  display: block;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  z-index: 1;
}

.select-wrapper input.select-dropdown:focus {
  border-bottom: 1px solid #bd8a78;
}

.select-wrapper .caret {
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto 0;
  z-index: 0;
  fill: rgba(0, 0, 0, 0.87);
}

.select-wrapper + label {
  position: absolute;
  top: -26px;
  font-size: 0.8rem;
}

/*CF7 correction */
.input-field > label {
  /* position: absolute; */
  /* top: -36px; */
  /* font-size: 1rem; */
}

select:disabled {
  color: rgba(0, 0, 0, 0.42);
}

.select-wrapper.disabled + label {
  color: rgba(0, 0, 0, 0.42);
}

.select-wrapper.disabled .caret {
  fill: rgba(0, 0, 0, 0.42);
}

.select-wrapper input.select-dropdown:disabled {
  color: rgba(0, 0, 0, 0.42);
  cursor: default;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.select-wrapper i {
  color: rgba(0, 0, 0, 0.3);
}

.select-dropdown li.disabled,
.select-dropdown li.disabled > span,
.select-dropdown li.optgroup {
  color: rgba(0, 0, 0, 0.3);
  background-color: transparent;
}

body.keyboard-focused .select-dropdown.dropdown-content li:focus {
  background-color: rgba(0, 0, 0, 0.08);
}

.select-dropdown.dropdown-content li:hover {
  background-color: rgba(0, 0, 0, 0.08);
}

.select-dropdown.dropdown-content li.selected {
  background-color: rgba(0, 0, 0, 0.03);
}

.prefix ~ .select-wrapper {
  margin-left: 3rem;
  width: 92%;
  width: calc(100% - 3rem);
}

.prefix ~ label {
  margin-left: 3rem;
}

.select-dropdown li img {
  height: 40px;
  width: 40px;
  margin: 5px 15px;
  float: right;
}

.select-dropdown li.optgroup {
  border-top: 1px solid #eee;
}

.select-dropdown li.optgroup.selected > span {
  color: rgba(0, 0, 0, 0.7);
}

.select-dropdown li.optgroup > span {
  color: rgba(0, 0, 0, 0.4);
}

.select-dropdown li.optgroup ~ li.optgroup-option {
  padding-left: 1rem;
}

ul.dropdown-content {
  background-color: #fff;
  margin: 0;
  display: none;
  min-width: 100px;
  overflow-y: auto;
  opacity: 0;
  position: absolute;
  list-style: none;
  list-style-type: none;
  left: 0;
  top: 0;
  padding: 0;
  z-index: 9999;
  -webkit-transform-origin: 0 0;
  transform-origin: 0 0;
}

/*Divi adaptation*/

.dropdown-content:focus {
  outline: 0;
}

.dropdown-content li {
  clear: both;
  color: rgba(0, 0, 0, 0.87);
  cursor: pointer;
  min-height: 40px;
  line-height: 1.5rem;
  width: 100%;
  text-align: left;
}

.dropdown-content li:hover, .dropdown-content li.active {
  background-color: #eee;
}

.dropdown-content li:focus {
  outline: none;
}

.dropdown-content li.divider {
  min-height: 0;
  height: 1px;
}

.dropdown-content li > a, .dropdown-content li > span {
  font-size: 16px;
  color: var(--featured-color);
  display: block;
  line-height: 22px;
  padding: 10px 16px;
}

.dropdown-content li > span > label {
  top: 1px;
  left: 0;
  height: 18px;
}

.dropdown-content li > a > i {
  height: inherit;
  line-height: inherit;
  float: left;
  margin: 0 24px 0 0;
  width: 24px;
}

body.keyboard-focused .dropdown-content li:focus {
  background-color: #dadada;
}

.input-field.col .dropdown-content [type=checkbox] + label {
  top: 1px;
  left: 0;
  height: 18px;
  -webkit-transform: none;
  transform: none;
}

.dropdown-trigger {
  cursor: pointer;
}
